
Core - Feature # 36246

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:
Created: 2012-04-17 Assigned To: Oliver Hader
Updated: 2012-04-20 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Enhance File Abstraction Layer API
Description
Enhance File Abstraction Layer API by
    -  tiny changes in the general behaviour
    -  general API and method refactoring
    -  modifying file/image processing
    -  new t3lib_file_FolderInterface
    -  enhanced unit tests

Associated revisions
Revision d961f859 - 2012-04-19 19:36 - TYPO3 Release Team

[FEATURE] Enhance File Abstraction Layer API
Enhance File Abstraction Layer API by
    -  tiny changes in the general behaviour
    -  general API and method refactoring
    -  modifying file/image processing
    -  new t3lib_file_FolderInterface
    -  enhanced unit tests

Change-Id: I0be4c9da8eebb0049a3673810288fc2f1e6d4b9f
Resolves: #36246
Releases: 6.0
Reviewed-on: http://review.typo3.org/10598
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 2facd46d - 2012-04-29 15:06 - TYPO3 Release Team

[FEATURE] Enhance File Abstraction Layer API
Enhance File Abstraction Layer API by
    -  tiny changes in the general behaviour
    -  general API and method refactoring
    -  modifying file/image processing
    -  new t3lib_file_FolderInterface
    -  enhanced unit tests

Change-Id: I0be4c9da8eebb0049a3673810288fc2f1e6d4b9f
Resolves: #36246
Releases: 6.0
Reviewed-on: http://review.typo3.org/10598
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2012-04-17 21:11 - Oliver Hader
- Tracker changed from Task to Feature

#2 - 2012-04-17 21:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10598

#3 - 2012-04-17 21:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10598

#4 - 2012-04-20 02:30 - TYPO3 Release Team
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d961f8598b450ba42c44b290db5ab9984d5bb578.
